/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.tv;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SignalingDataRequest extends android.media.tv.BroadcastInfoRequest implements android.os.Parcelable {

public SignalingDataRequest(int requestId, int option, int group, @android.annotation.NonNull java.util.List<java.lang.String> signalingDataTypes) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int getGroup() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getSignalingDataTypes() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.tv.SignalingDataRequest> CREATOR;
static { CREATOR = null; }

public static final int SIGNALING_DATA_NO_GROUP_ID = -1; // 0xffffffff

public static final java.lang.String SIGNALING_METADATA_AEAT = "AEAT";

public static final java.lang.String SIGNALING_METADATA_AEI = "AEI";

public static final java.lang.String SIGNALING_METADATA_APD = "APD";

public static final java.lang.String SIGNALING_METADATA_ASD = "ASD";

public static final java.lang.String SIGNALING_METADATA_ASPD = "ASPD";

public static final java.lang.String SIGNALING_METADATA_CAD = "CAD";

public static final java.lang.String SIGNALING_METADATA_CDT = "CDT";

public static final java.lang.String SIGNALING_METADATA_CRIT = "CRIT";

public static final java.lang.String SIGNALING_METADATA_DCIT = "DCIT";

public static final java.lang.String SIGNALING_METADATA_DWD = "DWD";

public static final java.lang.String SIGNALING_METADATA_EMSG = "EMSG";

public static final java.lang.String SIGNALING_METADATA_EVTI = "EVTI";

public static final java.lang.String SIGNALING_METADATA_HELD = "HELD";

public static final java.lang.String SIGNALING_METADATA_IED = "IED";

public static final java.lang.String SIGNALING_METADATA_MPD = "MPD";

public static final java.lang.String SIGNALING_METADATA_MPIT = "MPIT";

public static final java.lang.String SIGNALING_METADATA_MPT = "MPT";

public static final java.lang.String SIGNALING_METADATA_OSN = "OSN";

public static final java.lang.String SIGNALING_METADATA_PAT = "PAT";

public static final java.lang.String SIGNALING_METADATA_RDT = "RDT";

public static final java.lang.String SIGNALING_METADATA_RRT = "RRT";

public static final java.lang.String SIGNALING_METADATA_RSAT = "RSAT";

public static final java.lang.String SIGNALING_METADATA_SLT = "SLT";

public static final java.lang.String SIGNALING_METADATA_SMT = "SMT";

public static final java.lang.String SIGNALING_METADATA_SSD = "SSD";

public static final java.lang.String SIGNALING_METADATA_STSID = "STSID";

public static final java.lang.String SIGNALING_METADATA_STT = "STT";

public static final java.lang.String SIGNALING_METADATA_USBD = "USBD";

public static final java.lang.String SIGNALING_METADATA_USD = "USD";

public static final java.lang.String SIGNALING_METADATA_VSPD = "VSPD";
}

